<script >
import {h} from "vue";

export default {
  name: 'ExtRender',
  props: {
    data: Object|String,
    rowData: Object|String,
    renderFunc:Function
  },
  //h(节点名，属性，子组件[]或文本)
  //通过render创建组件而不是通过template。没有:绑定参数的操作而是直接{}绑定参数
  render() {
    return (
        this.renderFunc(h,this.data,this.rowData)
    )
  }
}
</script>>
